package com.ytpm.dao;

import com.ytpm.agent.model.YtWorkorder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface WorkorderMapper {

    /**
     * 创建工单
     */
    void insert(YtWorkorder ytWorkorder);

    /**
     * 主键查询
     */
    YtWorkorder selectPrimary(@Param("workorderId") String workorderId);

    /**
     * 工单修改
     */
    void updateById(YtWorkorder workorder);
}
